Package org.apache.felix.http.base.internal.service

## Class DefaultHttpContext

- java.lang.Object
- - org.apache.felix.http.base.internal.service.DefaultHttpContext

All Implemented Interfaces:
  `org.osgi.service.http.HttpContext`

    public final class DefaultHttpContext
    extends Object
    implements org.osgi.service.http.HttpContext

### Field Summary

### Fields inherited from interface org.osgi.service.http.HttpContext

`AUTHENTICATION_TYPE, AUTHORIZATION, REMOTE_USER`

### Constructor Summary

Constructors
`DefaultHttpContext​(org.osgi.framework.Bundle bundle)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getMimeType​(String name)`
`URL` `getResource​(String name)`
`boolean` `handleSecurity​(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultHttpContext

    public DefaultHttpContext​(org.osgi.framework.Bundle bundle)

### Method Detail

#### getMimeType

    public String getMimeType​(String name)

Specified by:
  `getMimeType` in interface `org.osgi.service.http.HttpContext`

#### getResource

    public URL getResource​(String name)

Specified by:
  `getResource` in interface `org.osgi.service.http.HttpContext`

#### handleSecurity

    public boolean handleSecurity​(javax.servlet.http.HttpServletRequest req,
                                  javax.servlet.http.HttpServletResponse res)

Specified by:
  `handleSecurity` in interface `org.osgi.service.http.HttpContext`